{% extends "base.html" %}
{% block title %}Asignar TFG{% endblock %}
{% block body %}    
    {{ super() }}
    <form action = "asignarTFG?tfg_codigo={{tfg.codigo}}" method = "post">
        <div class="form-group">
            <label>Título</label>
            <input type="text" class="form-control"  placeholder="{{ tfg.titulo }}" readonly>
        </div>                   
        
        <div class="form-group">
            <label>Tutor</label>
            <input type="text" class="form-control" placeholder="{{ user.getNombreCompleto() }}" name = "tutor" readonly>
        </div>

        <div class="form-group boxed" id="estudiante">
            <label><b>Estudiante</b></label>          
            
            <div class="form-inline" id="div_estudiante">
                    <label class="my-1 mt-2 mr-2" for="tipo_tutor">Email: </label>
                    <input type="text" class="form-control mt-2 w-25 p-3" id="email_estudiante" name="email_estudiante">
                    <div class="input-group-append mt-2 mr-4">
                        <span class="input-group-text">@estudiante.uam.es</span>
                    </div>

                    <button type="button" class="btn btn-primary" onclick="return checkEmailEstudiante()">Comprobar</button>
            </div>
            <label class="my-1 mr-2 hidden" id="email_estudiante_correcto"><font color="green">Estudiante correctamente identificado. Pulse 'Asignar'</font></label>  
            

            <!-- <div class="form-inline">
                <label class="my-1 mr-2" for="tipo_tutor">Nombre: </label>
                <input type="text" class="form-control mt-2 mr-2" name="nombre">
                <label class="my-1 mr-2" for="tipo_tutor">Primer apellido: </label>
                <input type="text" class="form-control mr-2" name="apellido1">                    

                <label class="my-1 mr-2" for="tipo_tutor">Segundo apellido: </label>
                <input type="text" class="form-control mr-2" name="apellido2">                    
            </div>

            <div class="form-inline">
                <label class="my-1 mr-2" for="tipo_tutor">NIA: </label>
                <input type="text" class="form-control mt-2 mr-2" name="NIA">

                <label class="my-1 mt-2 mr-2" for="tipo_tutor">Email: </label>
                <input type="text" class="form-control mt-2 w-25 p-3" name="email_estudiante">
                    <div class="input-group-append mt-2">
                      <span class="input-group-text">@estudiante.uam.es</span>
                    </div>
                <label class="my-1 mr-2 hidden" id="email_estudiante_incorrecto"><font color="red">Ningún profesor encontrado con este email</font></label>  
                
                
            </div>      -->                            
        </div>             

        <!-- <div class="form-inline">
            <label class="my-1 mr-2" for="tipo_tutor">Titulación: </label>                
                <select class="custom-select my-1 mr-sm-2" id="titulacion" name="titulacion">                  
                    <option value="0" selected>Elegir...</option>
                    <option value="1">GII</option>
                    <option value="2">GITST</option>                  
                </select>                            
        </div> -->
        <button class="btn btn-primary my-2" id="btnGuardar" type="submit" disabled>Asignar</button>
    </form>

    <!-- Modal -->
    <div class="modal fade" id="estudianteNoEncontradoModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Estudiante no encontrado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                Debido a las características del sistema de autenticación de usuarios de la UAM, es necesario que el estudiante al que va a ser
                asignado el TFG haya realizado login en TFGTool al menos una vez. Solicite a éste, por favor, que lo haga y repita la operación 
                de asignación.
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="javascript:window.location.replace('home');">Cerrar</button> -->
                <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                <!-- <a class="btn btn-primary" data-dismiss="modal" onclick="javascript:window.location.replace('home');">Cerrar</a>    -->
            </div>
        </div>
        </div>
    </div>

    <script>
        $("#email_estudiante_correcto").ready().hide();

        /* $("#div_estudiante").change(function(e) { */
        function checkEmailEstudiante() {    
            console.log($("#email_estudiante").val());
            $.post("/tfgs/checkEmail", {"email": $("#email_estudiante").val() + '@estudiante.uam.es'})
            .done(function(resultado) {
                    if (resultado == 'NOK'){                        
                        $('#estudianteNoEncontradoModal').modal('show');                        
                    }
                    else {
                        $("#email_estudiante_correcto").show();
                        $("#btnGuardar").removeAttr('disabled');
                    }
            });            
        }
        /* }); */
    </script>
{% endblock %}